summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2012-02-08 15:53:55 +0100
committerGuido Günther <agx@sigxcpu.org>2012-02-08 15:53:55 +0100
commitbec88f7d24db27b33f5301f9e28dd938459d600f (patch)
treec55eb5127e9574d2e23be415fec2a3e5b5140e0e
parent2fc4078bc842efa253f84398fad8e655a3714568 (diff)
Add Debian packaging
-rw-r--r--debian/changelog6
-rw-r--r--debian/compat1
-rw-r--r--debian/control47
-rw-r--r--debian/copyright57
-rw-r--r--debian/gbp.conf3
-rw-r--r--debian/network-manager-iodine-gnome.install3
-rw-r--r--debian/network-manager-iodine.install2
-rw-r--r--debian/network-manager-iodine.postinst31
-rw-r--r--debian/network-manager-iodine.postrm44
-rwxr-xr-xdebian/rules16
-rw-r--r--debian/source/format1
11 files changed, 211 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..cae77b7
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,6 @@
+network-manager-iodine (0.0.1-1) unstable; urgency=low
+
+ * Initial Release
+
+ -- Guido Günther <agx@sigxcpu.org> Wed, 08 Feb 2012 13:33:27 +0100
+
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+8
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..76c7dd9
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,47 @@
+Source: network-manager-iodine
+Section: net
+Priority: optional
+Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends:
+ debhelper (>= 8),
+ dpkg-dev (>= 1.16.1~),
+ network-manager-dev (>= 0.9.2),
+ libnm-util-dev (>= 0.9.2),
+ libnm-glib-dev (>= 0.9.2),
+ libnm-glib-vpn-dev (>= 0.9.2),
+ intltool,
+ libdbus-glib-1-dev (>= 0.74),
+ libgnome-keyring-dev,
+ libgtk-3-dev (>= 3.0),
+ libglib2.0-dev,
+ autoconf,
+ automake,
+ libtool
+Standards-Version: 3.9.2
+Vcs-Git: git://honk.sigxcpu.org/git/network-manager-iodine
+Homepage: http://honk.sigxcpu.org/piki/projects/network-manager-iodine
+
+Package: network-manager-iodine
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, iodine, adduser
+Description: network management framework (iodine plugin core)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides a VPN plugin for iodine.
+
+Package: network-manager-iodine-gnome
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-iodine (= ${binary:Version})
+Description: network management framework (iodine plugin GNOME GUI)
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package provides the GNOME bits of NetworkManager's iodine plugin.
+
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..c6d1267
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,57 @@
+This package was debianized by Guido Günther <agx@sigxcpu.org> on
+Fri, 08 Feb 2012 20:42:50 +0100
+
+It was downloaded from
+http://honk.sigxcpu.org/projects/network-manager-iodine
+
+auth-dialog/vpn-password-dialog.[ch]
+
+Copyright:
+
+ Copyright (C) 1999, 2000 Eazel, Inc.
+ Copyright (C) 2005, Red Hat, Inc.
+
+License:
+
+ The Gnome Library is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Library General Public License as
+ published by the Free Software Foundation; either version 2 of the
+ License, or (at your option) any later version.
+
+ The Gnome Library is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ Library General Public License for more details.
+
+ You should have received a copy of the GNU Library General Public
+ License along with the Gnome Library; see the file COPYING.LIB. If not,
+ write to the Free Software Foundation, Inc., 51 Franklin St, Fifth
+ Floor, Boston, MA 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/LGPL-2'.
+
+All other files are licensed as following
+
+Copyright:
+
+ Copyright © 2012 Guido Günther <agx@sigxcpu.org>
+
+License:
+
+ This program is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software Foundation,
+ Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL-2'.
diff --git a/debian/gbp.conf b/debian/gbp.conf
new file mode 100644
index 0000000..c31be83
--- /dev/null
+++ b/debian/gbp.conf
@@ -0,0 +1,3 @@
+[DEFAULT]
+pristine-tar = True
+debian-branch = master
diff --git a/debian/network-manager-iodine-gnome.install b/debian/network-manager-iodine-gnome.install
new file mode 100644
index 0000000..3b6228a
--- /dev/null
+++ b/debian/network-manager-iodine-gnome.install
@@ -0,0 +1,3 @@
+usr/lib/NetworkManager/*.so*
+usr/lib/NetworkManager/nm-iodine-auth-dialog
+usr/share/gnome-vpn-properties
diff --git a/debian/network-manager-iodine.install b/debian/network-manager-iodine.install
new file mode 100644
index 0000000..1aaa45c
--- /dev/null
+++ b/debian/network-manager-iodine.install
@@ -0,0 +1,2 @@
+etc
+usr/lib/NetworkManager/nm-iodine-service
diff --git a/debian/network-manager-iodine.postinst b/debian/network-manager-iodine.postinst
new file mode 100644
index 0000000..98f9c72
--- /dev/null
+++ b/debian/network-manager-iodine.postinst
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ configure)
+ if [ -x "/etc/init.d/dbus" ]; then
+ if [ -x /usr/sbin/invoke-rc.d ]; then
+ invoke-rc.d dbus force-reload || true
+ else
+ /etc/init.d/dbus force-reload || true
+ fi
+ fi
+
+ if ! getent passwd nm-iodine >/dev/null; then
+ adduser --quiet \
+ --system \
+ --quiet \
+ --disabled-login \
+ --disabled-password \
+ --home /var/run/iodine \
+ --no-create-home \
+ -gecos "Network Manager iodine" \
+ nm-iodine
+ fi
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/network-manager-iodine.postrm b/debian/network-manager-iodine.postrm
new file mode 100644
index 0000000..b925ade
--- /dev/null
+++ b/debian/network-manager-iodine.postrm
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ if getent passwd nm-iodine >/dev/null; then
+ deluser nm-iodine || true
+ fi
+ ;;
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..918a84e
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,16 @@
+#!/usr/bin/make -f
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+%:
+ dh $@
+
+override_dh_auto_configure:
+ ./autogen.sh
+ dh_auto_configure -- \
+ --libexecdir=/usr/lib/NetworkManager \
+ --disable-static
+
+override_dh_makeshlibs:
+ dh_makeshlibs -X/usr/lib/NetworkManager/
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)